Subject: [Isis-wg] RE: Mesh Groups

From: Jeff Parker <[email-masked]>
Date: Thu, 27 Dec 2001 13:50:03 -0500

Subject changed to match topic

> Agreed, there is no way to negotiate the two ends 
> configuration(we could always add a TLV???). But 
> doesn't Section 3a) RFC2973 mean that we prefer
> mesh states are same at both ends. If we get an 
> LSP via a blocked circuit, doesn't it mean there 
> is some config mismatch? Would it ever be 
> required to have a mismatch in the mesh states?

My reading of the RFC suggests that you shouldn't
use Mesh Groups at all.  But given that they exist,
I don't see why we should restrict them to be 
'blocked' symetricaly.  
 
> Also what should be done in case we get an LSP on a 
> circuit C, where the meshGroupEnabled attribute is 
> blocked. Should we treat it similar to 
> meshGroupEnabled inactive state? 
> 
> Vishwas 

I can imagine an implementation that sets the
value of meshGroup for a meshBlocked circuit,
and uses that value to restrict flooding. 
However, the RFC explicitly states that the 
meshGroup value is not meaningful when the 
circuit is meshBlocked.  

The intent of mesh groups is to reduce 
flooding, not to prevent it.  I would
do as you suggest: flood it out non-
blocked circuits.

- jeff parker
- axiowave networks
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg